# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/Queue.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Moose.pm) perl(Test/Spec.pm) perl(lib.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.1.2
%define module_name Array-Queue-Priority
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.2
Release: alt1
Summary: A custom sorted queue
Group: Development/Perl
License: artistic_2
URL: https://github.com/dwburke/perl-Array-Queue-Priority

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBURKE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Array::Queue::Priority priority queue, sorted by whatever you desire.

As values are inserted, they are sorted on the fly, ensuring the values
come out in the order you desire.  You simply supply the sort_cb at the
time of construction.

If no sort_cb is supplied, it will try to sort by values passed.  You'll
probably get warnings if that's just a string, and who knows what you will
get if it's a hashref.  Straight numbers will work just find though.

Call first() then remove() for a little "transactional safety" if there's
an error processing the first item in the queue.


Inherits from Array::Queue.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%changelog
* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1
- initial import by package builder

